type Query {
  getStations(
    cursor: Int!
    limit: Int!
    filters: StationFiltersInput
    orderBy: Ordering
  ): StationList!
  getStationById(id: ID!): Station!
}

type Station {
  uniqueid: ID!
  id: String!
  genre: Genre!
  libelle: String!
  pays: String!
  dhMinClimato: Date!
  dhOuverture: Date!
  dhMinLive: Date!
  lastReport: DateTime!
  baseClimato: Boolean!
  longitude: Int!
  departement: String!
  orientation: Int!
  pasDeSynop: Int!
  stationReference: String!
  latitude: Int!
  climatoOnly: Boolean!
  altitude: Int!
  lastData: String!
}

type StationList {
  nextCursor: Int
  stations: [Station!]!
  total: Int!
}

input StationFiltersInput {
  test: String!
}

enum Genre {
  bouees
  static
  metar
  synop
  mae
}
